Bug 498295 - installed packages still show up under installable packages on rhel4 clients
installed packages still show up under installable packages on rhel4 clients
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
wes hayutin
http://grandprix.rhndev.redhat.com/rh...
:
Depends On:
Blocks: 456985 486216
  Show dependency treegraph
 
Reported: 2009-04-29 15:02 EDT by wes hayutin
Modified: 2009-09-10 14:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:15:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-04-29 15:02:40 EDT
Description of problem:

sat 4/24.1 build

1. register a rhel4U7 client
2. make sure zsh is *not* installed on the client
3. install zsh via webui
4. rhn_check
5. check that package *is* installed on client
6. navigate to system sdc, software, install, filter for zsh..
it shows up

it should not show up..
Comment 1 wes hayutin 2009-04-29 15:05:02 EDT
not an issue on rhel 5.3
Comment 2 wes hayutin 2009-04-29 15:06:59 EDT
it appears that up2date -p and the satellite server are *not* working together
Comment 3 wes hayutin 2009-04-29 15:07:32 EDT
[root@fjs-0-19 ~]# up2date -p -vvv
D: opening  db environment /var/lib/rpm/Packages joinenv
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Providename rdonly mode=0x0
D: logininfo: {'X-RHN-Server-Id': 1000010060, 'X-RHN-Auth-Server-Time': '1241031976.84', 'X-RHN-Auth': 'Tzr9yn4/9vfpB2Ur0lNkWQ==', 'X-RHN-Auth-Channels': [['rhel-i386-as-4', '20090429032650', '1', '1']], 'X-RHN-Auth-User-Id': '', 'X-RHN-Auth-Expire-Offset': '3600.0'}
Updating package profile...
Updating transaction history...
D: closed   db index       /var/lib/rpm/Providename
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm/Packages
[root@fjs-0-19 ~]#
Comment 4 wes hayutin 2009-04-29 15:09:28 EDT
may be related to 
https://bugzilla.redhat.com/show_bug.cgi?id=496325
Comment 5 Justin Sherrill 2009-05-04 18:17:40 EDT
VADER: ae24a0a

master: 66c7ffd

another silly null arch_id rhel 4 issue.
Comment 6 wes hayutin 2009-05-26 13:22:12 EDT
verified 5/21.1
Comment 7 Jan Pazdziora 2009-09-04 11:05:35 EDT
Stage validated with Satellite-5.3.0-RHEL5-re20090820.1.

When the rhn_check -vv finished with

D: DependencySolver::setup() working with pkgset = [['zsh', '4.2.0', '4.EL.4.5', '', 'i386', '1665511', 'rhel-i386-as-4']]
D: Candidates for the selected list: [['zsh', '4.2.0', '4.EL.4.5', '', 'i386', '1665511', 'rhel-i386-as-4']]
D: ['zsh', '4.2.0', '4.EL.4.5', '', 'i386', '1665511', 'rhel-i386-as-4'] zsh-4.2.0-4.EL.4.5-i386 is selected for the transaction
D: Checking for dependencies
D: Running transaction (final step)...
D: getPackage ['zsh', '4.2.0', '4.EL.4.5', '', 'i386', '1665511', 'rhel-i386-as-4']
zsh-4.2.0-4.EL.4.5.i386.rpm ########################## Done.                   
D: Package ['zsh', '4.2.0', '4.EL.4.5', '', 'i386', '1665511', 'rhel-i386-as-4'] Fetched via: get
Preparing              ########################################### [100%]

Installing...
   1:zsh                    ########################################### [100%]
D: Sending back response (0, 'Packages were installed successfully', {})
D: do_call packages.checkNeedUpdate ('rhnsd=1',)
D: Called refresh_rpmlist
D: local action status:  (0, 'rpmlist refreshed', {})
[root@vmware146 ~]# 

and I went back to the WebUI, the zsh was not in Software -> Packages -> Install list.
Comment 8 Jan Pazdziora 2009-09-04 11:07:22 EDT
Moved to RELEASE_PENDING.
Comment 9 Brandon Perkins 2009-09-10 14:15:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.